body {
	color:<?php echo $bodyText; ?>;
    background:<?php echo $backgroundColor; ?> url(<?php echo $template_path ?>/images/bg<?php echo $headerBgImage ?>.png) top center no-repeat;
}

.top_arc_container {
	background: url(<?php echo $template_path ?>/images/arc_bg<?php echo $headerBgImage ?>.png) top center;
}

.call_center {
	color:<?php echo $callText ?>;
}

a.product_name {
	color:<?php echo $bodyText; ?> !important;
}

a:link,a:visited,.last a:link,.last a:visited,.product-price span {
	color:<?php echo $linkColor; ?> !important;
}

.company_name {
	color:<?php echo $logoTextColor; ?>;
}

.company_slogan {
	color:<?php echo $sloganTextColor; ?>;
}

.button {
	color:<?php echo $columnHeading; ?>;
    border:1px solid <?php echo $modulesBorder; ?>;
    background: -webkit-gradient(linear, 0 0, 0 bottom, from(<?php echo $modulesHeadingBgStart; ?>), to(<?php echo $modulesHeadingBgEnd; ?>));
    background: -moz-linear-gradient(<?php echo $modulesHeadingBgStart; ?>, <?php echo $modulesHeadingBgEnd; ?>);
    background: linear-gradient(<?php echo $modulesHeadingBgStart; ?>, <?php echo $modulesHeadingBgEnd; ?>);
	-pie-background: linear-gradient(<?php echo $modulesHeadingBgStart; ?>, <?php echo $modulesHeadingBgEnd; ?>);
    position:relative;
}

.main_wrap, #topmenu,.gallery,.upper,.bottom,.footer,.main_area,.header,.badge_frame,.vm_scroll {
	width:<?php echo $templateWidth; ?>px;
}

.content_wrap,.content_wrap_left,.content_wrap_noleft,.content_wrap_noright,.content_wrap_noleft_noright {
	width:<?php echo $contentWidth; ?>px;
}

.column_left {
	width:<?php echo $columnLeftWidth; ?>px;
}

.column_right {
	width:<?php echo $columnRightWidth; ?>px;
}

<?php
$left_margin = 0; $right_margin = 0;
if ($showleft) { $left_margin = 7; }
if ($showright) { $right_margin = 7; }
?>

.content_pad {
	margin:0 <?php echo $right_margin; ?>px 7px <?php echo $left_margin; ?>px;
    <?php if (!$showuser1) { ?>
    border-top:none;
    <?php } ?>
}


.contact_details {
	width:<?php echo $contactWidth; ?>px;
}

.componentheading, h1 {
	color:<?php echo $componentHeadingText; ?>;
}

.contentheading, h2, h3, h4 {
	color:<?php echo $headingText; ?>;
}

a.contentpagetitle:hover h2 {
	color:<?php echo $headingHoverText; ?>;
}

.column_right div.moduletable,
.column_left div.moduletable {
    color:<?php echo $columnText; ?>;
}

div.moduletable h3 span {
	color:<?php echo $columnFirstWord; ?>;
}

div.moduletable h3 {
    color:<?php echo $columnHeading; ?>;
    background: -webkit-gradient(linear, 0 0, 0 bottom, from(<?php echo $modulesHeadingBgStart; ?>), to(<?php echo $modulesHeadingBgEnd; ?>));
    background: -moz-linear-gradient(<?php echo $modulesHeadingBgStart; ?>, <?php echo $modulesHeadingBgEnd; ?>);
    background: linear-gradient(<?php echo $modulesHeadingBgStart; ?>, <?php echo $modulesHeadingBgEnd; ?>);
	-pie-background: linear-gradient(<?php echo $modulesHeadingBgStart; ?>, <?php echo $modulesHeadingBgEnd; ?>);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='<?php echo $modulesHeadingBgStart; ?>', endColorstr='<?php echo $modulesHeadingBgEnd; ?>');
    position:relative;
}

#nav > li.active, #nav > li:hover, div.show_cart, input.default, input.details-button, .btn {
	background:<?php echo $topMenuText; ?> !important;
}

#nav li:hover a, #nav li.active > a {
    color:<?php echo $topMenuHoverText; ?> !important;
}

#nav li a {
    color:<?php echo $topMenuText; ?> !important;
}

#nav li:hover ul {
	background:<?php echo $submenuBg; ?> url(<?php echo $template_path ?>/images/top_menu_drop_bg.png) repeat-x bottom;
}

#nav li:hover ul li a {
	color:<?php echo $submenuText; ?>;
}

#nav li:hover ul li a:hover {
	color:<?php echo $submenuTextHover; ?> !important;
}

.column_right ul.menu li a:link, .column_right ul.menu li a:visited, .column_left ul.menu li a:link, .column_left ul.menu li a:visited {
	color:<?php echo $mainMenuText; ?> !important;
}

.column_right ul.menu li a:hover, .column_left ul.menu li a:hover {
	color:<?php echo $mainMenuHoverText; ?> !important;
}

.column_right li.active a, .column_left li.active a:link, .column_left li.active a:visited {
	color:<?php echo $mainMenuTextActive; ?> !important;
}

<?php if($uppermodules) { ?>
.upper .modulerow2,
.upper .modulerow3,
.upper .modulerow4 {
	width:<?php echo $upperModuleWidth ?>px;
}
<?php } ?>

<?php if($bottommodules) { ?>
.bottom .modulerow2,
.bottom .modulerow3,
.bottom .modulerow4 {
	width:<?php echo $bottomModuleWidth ?>px;
}
<?php } ?>

<?php if($footermodules) { ?>
.footer_wrap .modulerow2,
.footer_wrap .modulerow3,
.footer_wrap .modulerow4 {
	width:<?php echo $footerModuleWidth ?>px;
}
<?php } ?>

.breadcrumbs, .breadcrumbs a {
	color:<?php echo $breadcrumbsColor ?> !important;
}

.column_right div.moduletable,
.column_left div.moduletable,
.bottom div.moduletable,
.upper div.moduletable {
    background:<?php echo $modulesBg ?>;
    border:1px solid <?php echo $modulesBorder ?>;
}

.content_pad {
    border:1px solid <?php echo $modulesBorder ?>;
    background:<?php echo $contentBg ?>;
    <?php if(!$showuser1) { ?>
    border-top:none;
    <?php } ?>
}

hr {
    border-top:1px solid <?php echo $modulesBorder ?>;
    border-bottom:none;
    border-left:none;
    border-right:none;
}

.footer_wrap {
	background:<?php echo $footerBg; ?>;
}

.footer_wrap div.moduletable h3 {
	color:<?php echo $footerModuleHeading; ?>;
}

.footer_wrap div.moduletable {
	color:<?php echo $footerText; ?>;
}

.copyright,.footer a:link,.footer a:visited,.footer a:hover {
	color:<?php echo $copyrightText; ?> !important;
}

#VMScroller1 a {
	text-decoration:none !important;
	color:<?php echo $headingText; ?> !important;
}

div.show_cart a {
    color:<?php echo $topMenuHoverText; ?> !important;
}

#product-tabs .nav li a {
	background: -webkit-gradient(linear, 0 0, 0 bottom, from(<?php echo $vmTabBgStart; ?>), to(<?php echo $vmTabBgEnd; ?>));
	background: -moz-linear-gradient(<?php echo $vmTabBgStart; ?>, <?php echo $vmTabBgEnd; ?>);
    color: <?php echo $vmTabColor; ?> !important;
    background: linear-gradient(<?php echo $vmTabBgStart; ?>, <?php echo $vmTabBgEnd; ?>);
	-pie-background: linear-gradient(<?php echo $vmTabBgStart; ?>, <?php echo $vmTabBgEnd; ?>);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='<?php echo $vmTabBgStart; ?>', endColorstr='<?php echo $vmTabBgEnd; ?>');
    position:relative;
}

#product-tabs li a.current,#product-tabs li a.current:hover,
#product-tabs .nav li a:hover, #product-tabs .nav li a:focus,
span.addtocart-button input.addtocart-button, span.addtocart-button input.notify-button,
span.addtocart-button input.addtocart-button:hover, span.addtocart-button input.notify-button:hover {
	background: -webkit-gradient(linear, 0 0, 0 bottom, from(<?php echo $vmTabActiveBgStart; ?>), to(<?php echo $vmTabActiveBgEnd; ?>));
	background: -moz-linear-gradient(<?php echo $vmTabActiveBgStart; ?>, <?php echo $vmTabActiveBgEnd; ?>);
    color: <?php echo $vmTabActiveColor; ?> !important;
    background: linear-gradient(<?php echo $vmTabActiveBgStart; ?>, <?php echo $vmTabActiveBgEnd; ?>);
	-pie-background: linear-gradient(<?php echo $vmTabActiveBgStart; ?>, <?php echo $vmTabActiveBgEnd; ?>);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='<?php echo $vmTabActiveBgStart; ?>', endColorstr='<?php echo $vmTabActiveBgEnd; ?>');
    position:relative;
}

.badge_image {
	bottom:<?php echo $badgeDistance; ?>px;
}

@media (max-width: 1005px) {

	body {
		background:<?php echo $backgroundColor; ?> url(<?php echo $template_path ?>/images/bg<?php echo $headerBgImage ?>_mobile.png) top center no-repeat !important;
	}

	#topmenu {
		background: url(<?php echo $template_path ?>/images/topmenu_mobile_bg<?php echo $headerBgImage ?>.png) repeat-x;
	}

}