<?php
/*------------------------------------------------------------------------
# "Hot eCommerce" Joomla template - October, 2010
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotThemes
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<?php JHtml::_('bootstrap.framework'); ?>
<jdoc:include type="head" />

<?php	// module states
		
		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');

		$showuser[5] = $this->countModules('user5');
		$showuser[6] = $this->countModules('user6');
		$showuser[7] = $this->countModules('user7');
		$showuser[8] = $this->countModules('user8');
		
		$showfooter[1] = $this->countModules('footer1');
		$showfooter[2] = $this->countModules('footer2');
		$showfooter[3] = $this->countModules('footer3');
		$showfooter[4] = $this->countModules('footer4');
		
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showuser1 = $this->countModules('user1');
		$showuser2 = $this->countModules('user2');
		$showuser4 = $this->countModules('user4');
		$showpanel1 = $this->countModules('panel1');
		$showpanel2 = $this->countModules('panel2');
		$showbreadcrumbs = $this->countModules('breadcrumbs');
		$showtoolbar = $this->countModules('toolbar');
		$showinset = $this->countModules('inset');
		$showscroller = $this->countModules('scroller');
		$showbadge = $this->countModules('badge');
		
		$uppermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showadvert[$loop]) { $uppermodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 5; $loop <= 8; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}
		
		$footermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showfooter[$loop]) { $footermodules++; }
		}
?>

<?php	// template parameters

		// template layout
		$copyright = $this->params->get("copyright", "Your Company");
		$templateWidth = $this->params->get("templateWidth", "950");
		$textDirection = $this->params->get("textDirection", "ltr");
		$columnLeftWidth = 0; $columnRightWidth = 0; $columnLeftPad = 0; $columnRightPad = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth", "232"); 
			$columnLeftPad = 0;
		}else{
			$columnLeftWidth = 0;
			$columnLeftPad = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth", "232");
			$columnRightPad = 0;
		}else{
			$columnRightWidth = 0;
			$columnRightPad = 0;
		}
		$contentWidth = $templateWidth - $columnLeftWidth - $columnLeftPad - $columnRightWidth - $columnRightPad;
		$contactWidth = $templateWidth - 475;
		
		if($uppermodules == 1) { $upperMargins = 0; }
		if($uppermodules == 2) { $upperMargins = 3.5; }
		if($uppermodules == 3) { $upperMargins = 4.66; }
		if($uppermodules == 4) { $upperMargins = 5.25; }
		
		if($bottommodules == 1) { $bottomMargins = 0; }
		if($bottommodules == 2) { $bottomMargins = 3.5; }
		if($bottommodules == 3) { $bottomMargins = 4.66; }
		if($bottommodules == 4) { $bottomMargins = 5.25; }
		
		if($footermodules == 1) { $footerMargins = 0; }
		if($footermodules == 2) { $footerMargins = 3.5; }
		if($footermodules == 3) { $footerMargins = 4.66; }
		if($footermodules == 4) { $footerMargins = 5.25; }
		
		if($uppermodules) {
		$upperModuleWidth = $templateWidth / $uppermodules - $upperMargins;
		$upperModuleWidth = round($upperModuleWidth, 0);
		}
		if($bottommodules) {
		$bottomModuleWidth = $templateWidth / $bottommodules - $bottomMargins;
		$bottomModuleWidth = round($bottomModuleWidth, 0);
		}
		if($footermodules) {
		$footerModuleWidth = $templateWidth / $footermodules - $footerMargins;
		$footerModuleWidth = round($footerModuleWidth, 0);
		}
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad", "1");
		$fontResizeLoad = $this->params->get("fontResizeLoad", "1");
		$scrollToLoad = $this->params->get("scrollToLoad", "1");
		$badgeDistance = $this->params->get("badgeDistance", "370");
		
		// logo text
		$logoText = $this->params->get("logoText", "");
		$sloganText = $this->params->get("sloganText", "");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
		
			// check if in link
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style']; 
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie("Style", $templateStyle, $Month);
			}
			
		if($templateStyle) {
			
			require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{
		
		$bodyText = $this->params->get("bodyText", "#272829");
		$linkColor = $this->params->get("linkColor", "#FF7902");
		$backgroundColor = $this->params->get("backgroundColor", "#EDEFF1");
		$headerBgImage = $this->params->get("headerBgImage", "1");
		$contentBg = $this->params->get("contentBg", "#FFFFFF");
		$logoTextColor = $this->params->get("logoTextColor", "#88A8CC");
		$sloganTextColor = $this->params->get("sloganTextColor", "#FFFFFF");
		$callText = $this->params->get("callText", "#FFFFFF");
		$menuAnimationEffect = $this->params->get("menuEffect", "show(400)");	
		$topMenuText = $this->params->get("topMenuText", "#61778E");
		$topMenuHoverText = $this->params->get("topMenuHoverText", "#FFFFFF");
		$submenuBg = $this->params->get("submenuBg", "#5F7793");
		$submenuText = $this->params->get("submenuText", "#FFFFFF");
		$submenuTextHover = $this->params->get("submenuTextHover", "#FFEB00");
		$mainMenuText = $this->params->get("mainMenuText", "#556A81");
		$mainMenuHoverText = $this->params->get("mainMenuHoverText", "#FF7902");
		$mainMenuTextActive = $this->params->get("mainMenuTextActive", "#A24500");
		$componentHeadingText = $this->params->get("componentHeadingText", "#61778E");
		$headingText = $this->params->get("headingText", "#61778E");
		$headingHoverText = $this->params->get("headingHoverText", "#61778E");
		$columnFirstWord = $this->params->get("columnFirstWord", "#61778E");
		$columnHeading = $this->params->get("columnHeading", "#61778E");
		$columnText = $this->params->get("columnText", "#617791");
		$modulesHeadingBgStart = $this->params->get("modulesHeadingBgStart", "#EBEEF1");
		$modulesHeadingBgEnd = $this->params->get("modulesHeadingBgEnd", "#D1D8DE");
		$modulesBg = $this->params->get("modulesBg", "#FFFFFF");
		$modulesBorder = $this->params->get("modulesBorder", "#D4D6D7");
		$breadcrumbsColor = $this->params->get("breadcrumbsColor", "#435161");
		$vmTabColor = $this->params->get("vmTabColor", "#666666");
		$vmTabBgStart = $this->params->get("vmTabBgStart", "#D3D1D1");
		$vmTabBgEnd = $this->params->get("vmTabBgEnd", "#E3E5E7");
		$vmTabActiveColor = $this->params->get("vmTabActiveColor", "#FFFFFF");
		$vmTabActiveBgStart = $this->params->get("vmTabActiveBgStart", "#607893");
		$vmTabActiveBgEnd = $this->params->get("vmTabActiveBgEnd", "#42505F");
		$footerBg = $this->params->get("footerBg", "#414F5E");
		$footerModuleHeading = $this->params->get("footerModuleHeading", "#88A8CC");
		$footerText = $this->params->get("footerText", "#AFB5BB");
		$copyrightText = $this->params->get("copyrightText", "#AFB5BB");
		
		}
	
?>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/layout.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/vm_ecommerce.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/rtl.css" type="text/css" />	
<?php } ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).'/css/template_css.php'); ?>
-->
</style>
<!--[if lt IE 9]>
<style type="text/css">
#nav > li.active, #nav > li:hover, #nav li:hover ul, div.show_vm_cart, #product-tabs .nav li a, #product-tabs li a.current,#product-tabs li a.current:hover, #product-tabs .nav li a:hover, #product-tabs .nav li a:focus, .button, div.moduletable h3 {
	behavior: url(<?php echo $template_path ?>/css/PIE.php);
}
</style>
<![endif]-->
<!--[if gte IE 9]>
<style type="text/css">
div.moduletable h3, #product-tabs .nav li a, #product-tabs li a.current,#product-tabs li a.current:hover, #product-tabs .nav li a:hover, #product-tabs .nav li a:focus, span.addtocart-button input.addtocart-button, span.addtocart-button input.notify-button, span.addtocart-button input.addtocart-button:hover, span.addtocart-button input.notify-button:hover {
   filter: none;
}
</style>
<![endif]-->

<script type="text/javascript" src="<?php echo $template_path ?>/js/organictabs.jquery.js"></script>

<!-- top menu -->
<script type="text/javascript">
function mainmenu(){
jQuery("#nav ul").css({display: "none"}); // Opera Fix
jQuery("#nav li").hover(function(){
		jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).<?php echo $menuAnimationEffect; ?>;
		},function(){jQuery(this).find('ul:first').css({visibility: "hidden"});	});}
jQuery(document).ready(function(){ mainmenu();});
</script>

<script type="text/javascript" src="<?php echo $template_path ?>/js/responsive-nav.min.js"></script>

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/reflection.js"></script>
<?php } ?>

<?php if($scrollToLoad) { ?>
<!-- scrollTo -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/scrollTo.js"></script>
<?php } ?>

<?php if($fontResizeLoad) { ?>
<!-- font resizer -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/fontResize.js"></script>
<?php } ?>

</head>
<body>
<div class="header">
    <div class="logo">
        <div class="logo_pad">
            <a href="index.php"><img src="<?php echo $template_path ?>/images/logo.png" width="55" height="56" alt="joomla ecommerce template" /></a>
            <span class="company_name"><?php echo $logoText; ?></span><br/>
            <span class="company_slogan"><?php echo $sloganText; ?></span>
        </div>
    </div>
    <div class="contact_details">
        <div class="contact_details_pad">
            <jdoc:include type="modules" name="user2" />
        </div>
    </div>
</div>
<div id="topmenu">
	<div id="topmenu_pad">
		<jdoc:include type="modules" name="user3" style="xhtml" />
	</div>
    <?php if ($showuser4) { ?>
    <div class="search_box">
		<div style="width:186px; height:40px; background:url(templates/hot_ecommerce/images/search_bg.png) no-repeat center;">
        	<jdoc:include type="modules" name="user4" style="none" />
        </div>
	</div>
    <?php } ?>
</div>
<?php if ($showuser1) { ?>
<div class="gallery">
    <jdoc:include type="modules" name="user1" style="none" />
</div>
<?php }else{ ?>
<div style="height:7px"></div>
<?php } ?>
<div class="main_wrap">
    <?php if ($uppermodules) { ?>
    <div class="upper">
        <?php if($showadvert[1]) { ?>
        <div class="modulerow<?php echo $uppermodules; if(!$showadvert[2] && !$showadvert[3] && !$showadvert[4]) { echo " last"; } ?>"><jdoc:include type="modules" name="advert1" style="xhtml" /></div>
        <?php } if($showadvert[2]) { ?>
        <div class="modulerow<?php echo $uppermodules; if(!$showadvert[3] && !$showadvert[4]) { echo " last"; } ?>"><jdoc:include type="modules" name="advert2" style="xhtml" /></div>
        <?php } if($showadvert[3]) { ?>
        <div class="modulerow<?php echo $uppermodules; if(!$showadvert[4]) { echo " last"; } ?>"><jdoc:include type="modules" name="advert3" style="xhtml" /></div>
        <?php } if($showadvert[4]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?> last"><jdoc:include type="modules" name="advert4" style="xhtml" /></div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <?php } ?>
    <div class="main_area">
        <?php if ($showleft) { ?>
        <div class="column_left">
            <jdoc:include type="modules" name="left" style="hot" />
        </div>
        <?php } ?>
        <div class="content_wrap<?php if(!$showleft) { echo "_noleft"; } if(!$showright) { echo "_noright"; } ?>">
            <div class="content_pad">
            	<?php if (@$_REQUEST['view'] != 'frontpage') { ?>
            	<jdoc:include type="modules" name="breadcrumbs" style="none" />
                <?php } ?>
                <?php if ($showinset) { ?>
                <jdoc:include type="modules" name="inset" style="hot" />
                <br/>
                <?php } ?>
                <jdoc:include type="message" />
                <jdoc:include type="component" />
                <jdoc:include type="modules" name="toolbar" style="hot" />
            </div>
        </div>
        <?php if ($showright) { ?>
        <div class="column_right">
            <jdoc:include type="modules" name="right" style="hot" />
        </div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <?php if ($showscroller) { ?>
    <div class="vm_scroll">
    	<jdoc:include type="modules" name="scroller" style="none" />
    </div>
    <?php } ?>
    <?php if ($bottommodules) { ?>
    <div class="bottom">
        <?php if($showuser[5]) { ?>
        <div class="modulerow<?php echo $bottommodules; if(!$showuser[6] && !$showuser[7] && !$showuser[8]) { echo " last"; } ?>"><jdoc:include type="modules" name="user5" style="xhtml" /></div>
        <?php } if($showuser[6]) { ?>
        <div class="modulerow<?php echo $bottommodules; if(!$showuser[7] && !$showuser[8]) { echo " last"; } ?>"><jdoc:include type="modules" name="user6" style="xhtml" /></div>
        <?php } if($showuser[7]) { ?>
        <div class="modulerow<?php echo $bottommodules; if(!$showuser[8]) { echo " last"; } ?>"><jdoc:include type="modules" name="user7" style="xhtml" /></div>
        <?php } if($showuser[8]) { ?>
        <div class="modulerow<?php echo $bottommodules; ?> last"><jdoc:include type="modules" name="user8" style="xhtml" /></div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <?php } ?>
</div>
<div class="footer_wrap">
    <div class="footer">
		<?php if ($footermodules) { ?>
        <div class="footer_modules">
            <?php if($showfooter[1]) { ?>
            <div class="modulerow<?php echo $footermodules; if(!$showfooter[2] && !$showfooter[3] && !$showfooter[4]) { echo " last"; } ?>"><jdoc:include type="modules" name="footer1" style="xhtml" /></div>
            <?php } if($showfooter[2]) { ?>
            <div class="modulerow<?php echo $footermodules; if(!$showfooter[3] && !$showfooter[4]) { echo " last"; } ?>"><jdoc:include type="modules" name="footer2" style="xhtml" /></div>
            <?php } if($showfooter[3]) { ?>
            <div class="modulerow<?php echo $footermodules; if(!$showfooter[4]) { echo " last"; } ?>"><jdoc:include type="modules" name="footer3" style="xhtml" /></div>
            <?php } if($showfooter[4]) { ?>
            <div class="modulerow<?php echo $footermodules; ?> last"><jdoc:include type="modules" name="footer4" style="xhtml" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php } ?>
        <div class="copyright">
            <jdoc:include type="modules" name="footer" style="none" />
            <p class="copyright">Copyright &copy; <?php echo date("Y ").$copyright; ?>. <a href="https://www.hotjoomlatemplates.com">Joomla Templates</a> designed by HotThemes</p>
        </div>
    </div>
</div>
<div class="clr"></div>
<?php if($showpanel1 && $showpanel2) { ?>
<div class="top_arc">
	<div class="top_arc_container">
    	<div class="top_arc_pad">
            <div class="top_arc_left"><jdoc:include type="modules" name="panel1" style="none" /></div>
            <div class="top_arc_right"><jdoc:include type="modules" name="panel2" style="none" /></div>
        </div>
	</div>
</div>
<div class="clr"></div>
<?php } ?> 
<?php if($showbadge) { ?>
<div class="badge">
    <div class="badge_frame">
    	<div class="badge_image">
    		<jdoc:include type="modules" name="badge" style="none" />
        </div>
    </div>
</div>
<?php } ?>   
<jdoc:include type="modules" name="debug" style="none" />
<?php if($scrollToLoad) { ?>
<p id="back-top">
	<a href="#top"><span></span></a>
</p>
<?php } ?>
<script type="text/javascript">
	jQuery(document).ready(function() {
		if(jQuery(".fancybox").length) {
			jQuery(".fancybox").fancybox();
		}
	});
	var navigation = responsiveNav(".moduletable_menu");
</script>
</body>
</html>